DHRYSTONE(1)

NAME
dhrystone - integer benchmark

SYNOPSIS
dhrystone

EXAMPLES

dhrystone
    # Run the dhrystone benchmark

DESCRIPTION

Many years ago, a floating-point benchmark called whetstone was popular for benchmarking FORTRAN programs. Nowadays, an integer benchmark called dhrystone is widely used for benchmarking UNIX systems. This is it. Be warned, however, that dhrystone is entirely CPU bound, and goes blindingly fast on machines with high-speed caches. Although this is a good measure for programs that spend most of their time in some inner loop, it is a poor benchmark for I/O bound applications.